Bug Hunting Session
Bug 125628 - FORMATTING: Part of text loose yellow highlight reopening document
Summary: FORMATTING: Part of text loose yellow highlight reopening document
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.4.0 target:6.2.7 target:6.3.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Paragraph
  Show dependency treegraph
 
Reported: 2019-06-01 21:14 UTC by Augh
Modified: 2019-08-12 08:35 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test document (16.70 KB, application/vnd.oasis.opendocument.text)
2019-06-01 21:16 UTC, Augh
Details
Image of the text as saved (462.28 KB, image/jpeg)
2019-06-02 08:39 UTC, Augh
Details
Image of the text after reopen (455.33 KB, image/jpeg)
2019-06-02 08:40 UTC, Augh
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Augh 2019-06-01 21:14:13 UTC
Description:
In one of my documents I highlight all text in yellow, save the document and, after document reopened, some text missed yellow (and only yellow 100%, yellow 99% and all other colors I tried work fine) highlight.

Steps to Reproduce:
1. Open sample document (attached)
2. Select all text (Ctrl+A)
3. Apply yellow (the default as program starts) highlight
4. Save the document
5. Reopen document just saved

Actual Results:
Some text loosed highlight

Expected Results:
All text is yellow highlighted


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Versione: 6.2.4.2 (x64)
Build ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
Thread CPU: 8; SO: Windows 10.0; Resa interfaccia: GL; VCL: win; 
Versione locale: it-IT (it_IT); Lingua interfaccia: it-IT
Calc: CL
Comment 1 Augh 2019-06-01 21:16:25 UTC
Created attachment 151839 [details]
Test document

Document to use to test the bug.
Comment 2 Dieter Praas 2019-06-02 08:30:41 UTC
I confirm this with

Version: 6.3.0.0.beta1 (x64)
Build-ID: a187af327633f5f00363be5131bd21a13e0f1a7b
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; VCL: win; 
Gebietsschema: en-US (de_DE); UI-Sprache: de-DE
Calc: threaded
Comment 3 Augh 2019-06-02 08:39:13 UTC
Created attachment 151844 [details]
Image of the text as saved
Comment 4 Augh 2019-06-02 08:40:35 UTC
Created attachment 151845 [details]
Image of the text after reopen
Comment 5 Telesto 2019-06-02 15:56:04 UTC
Repro with
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 93477d1a963e38e3319013e43835a8ffef200972
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-02_10:16:52
Locale: it-IT (nl_NL); UI-Language: en-US
Calc: threaded


but not in
Versie: 4.4.7.2 
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
Locale: nl_NL
Comment 6 raal 2019-06-03 20:56:43 UTC
This seems to have begun at the below commit.
Adding Cc: to Zolnai Tamás ; Could you possibly take a look at this one?
Thanks

3f2efee4c6f30740b97075671f44f8474dbb2c9b is the first bad commit
commit 3f2efee4c6f30740b97075671f44f8474dbb2c9b
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Wed May 27 20:14:41 2015 +0800

    source-hash-08cfbbaca2d23727bc95912082ae46b8f8a37f03
    
    commit 08cfbbaca2d23727bc95912082ae46b8f8a37f03
    Author:     Zolnai Tamás <zolnaitamas2000@gmail.com>
    AuthorDate: Sun Mar 15 15:31:09 2015 +0100
    Commit:     Zolnai Tamás <zolnaitamas2000@gmail.com>
    CommitDate: Sat Mar 21 16:19:10 2015 +0100
    
        Char highlight: editing by "Highlighting" button
Comment 7 Commit Notification 2019-08-07 20:33:59 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/fa774e16b1dfe4844ec5eb3f9372d6468f6b8a56%5E%21

tdf#125628: FORMATTING: Part of text loose yellow highlight reopening document

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Xisco Faulí 2019-08-09 10:45:13 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: d4a70ecf61b016a32caef015eea127d13b357cf7
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Tamás Zolnai, thanks for fixing this issue!
Comment 9 Commit Notification 2019-08-09 10:47:44 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/54e4d3b0983698ba8588146299b5db59e946cfc4%5E%21

tdf#125628: FORMATTING: Part of text loose yellow highlight reopening document

It will be available in 6.2.7.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-08-09 10:47:56 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/f7642a8d6b97e501b8ac08e2c729c29aa8ab4d2e%5E%21

tdf#125628: FORMATTING: Part of text loose yellow highlight reopening document

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.